Developers
API ReferenceDepartment

Update department

PUT
/user/departments/{id}

Update department

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Department identifier

Request Body

The updated Department resource

  1. body
name*string
Lengthlength <= 100

Response Body

Department resource updated

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
Example Request
curl -X PUT 'https://app.icproject.com/api/instance/demo/user/departments/string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string"}